/******************************************************************************
* Project:		morsix3330
* File:			charset.h
* Date:			09.12.2007
* Author:		Philipp Burch
* E-Mail:		philipp_burch@gmx.ch
* Description:	Header file for charset.c.
******************************************************************************/

#ifndef __CHARSET_H__
#define __CHARSET_H__

#include <stdint.h>
#include <avr/pgmspace.h>

typedef enum {
	letter = 0,
	number,
	special,
	special_unused,
	signal,
	signal_unused,
	disp_only,
	control
} cs_toc_type_t;

typedef struct {
	uint8_t code;
	uint8_t size_class;
	uint16_t offset;
} cs_toc_t;

extern cs_toc_t PROGMEM CS_TOC[];
extern uint8_t PROGMEM CS_Data[];

#endif //__CHARSET_H__
