/******************************************************************************
Project:		morsix3330
File:			debug.h
Author:			Philipp Burch
Date:			04.04.2007
Description:	Header file for debug.c.
******************************************************************************/

#ifndef __DEBUG_H__
#define __DEBUG_H__

	#include <stdint.h>
	#include <avr/pgmspace.h>

	//Prototypes
	void debug_send(uint8_t);
	void debug_send_hex(long);
	void debug_send_text(char[]);
	void debug_send_text_P(prog_char[]);
	void debug_send_text_len(char[], uint8_t);
	void debug_send_var(char [], long);
	void debug_send_text_var(char [], char [], uint8_t);


#endif //__DEBUG_H__

