/******************************************************************************
* Project:		morsix3330
* File:			sound.h
* Date:			26.12.2007
* Author:		Philipp Burch
* E-Mail:		philipp_burch@gmx.ch
* Description:	Header file for sound.c.
******************************************************************************/

#ifndef __SOUND_H__
#define __SOUND_H__

#include <main.h>
#include <stdint.h>
#include <init.h>

#define SOUND_MAX_VOLUME	7
#define PINS_VOL			(_BV(PIN_VOL2) | _BV(PIN_VOL1) | _BV(PIN_VOL0))

typedef enum {
	SPEAKER_EN = 1,
	PHONE_EN = 2,
} sound_flag_t;



void Sound_Volume(const uint8_t);
void Sound_Control(const sound_flag_t);


#endif //__SOUND_H__
